namespace :db do

  desc 'my plugins rake task'
  task :field => :environment do

    model_class          = ENV['model']
    field                = ENV['field']
    key_pair             = ENV['key_pair']
    found_by_id          = ENV['found_by_id']

    found_by_id = found_by_id.to_i
    model_class = model_class.constantize

    puts "#{set(model_class, field, found_by_id, key_pair)}"
    puts "#{get(model_class, field, found_by_id, key_pair)}"
  end

  desc "Set model attribute"
  task :setter => :field
  def set(model_class, field, found_by_id, key_pair)
    puts "putting value in model attribute"
    obj = model_class.find(found_by_id)
    obj.send(field+'=', key_pair)
    obj.save
  end

  desc "Get model attribute"
  task :getter => :field
  def get(model_class, field, found_by_id, key_pair)
    puts "getting value in model attribute"
    Hash[*key_pair.split(',')]
  end

end
